Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004683OCamlOCaml generalpublic2009-01-05 12:492010-06-08 03:00
Reportermatt 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0+beta 
Target VersionFixed in Version3.12.0+dev 
Summary0004683: labltk script : false paths
DescriptionAfter installation of mingw version of Objective Caml with official installer (with default paths), the labltk script does not work, because it contains c:/ocamlmgw* paths.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004929)
garrigue (manager)
2009-04-28 07:32

It looks like the bug comes from the merging of Makefile and Makefile.nt in otherlibs/labltk/lib.
On windows we should not refer explicitly to path in files, as we don't know where we will be installed, and the installer doesn't correct the files.
(0005547)
garrigue (manager)
2010-06-08 03:00

Reverted to previous behaviour of installing a labltk.bat file for msvc/mingw.
Note: the windows installer may require modifications?

Revision 10537 in version/3.12.

- Issue History
Date Modified Username Field Change
2009-01-05 12:49 matt New Issue
2009-04-27 16:56 doligez Status new => assigned
2009-04-27 16:56 doligez Assigned To => garrigue
2009-04-28 07:32 garrigue Note Added: 0004929
2010-06-08 03:00 garrigue Note Added: 0005547
2010-06-08 03:00 garrigue Status assigned => closed
2010-06-08 03:00 garrigue Resolution open => fixed
2010-06-08 03:00 garrigue Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker